//===========================================================================
// Name:			4honor_t.c
// Function:		chat lines for gowron
// Author:			Raven
//===========================================================================

//example initial chats

chat "4 Honor"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"

	//======================================================
	//======================================================

	// Initiated when the bot enters the game
	// 0 = bot name
	type "game_enter" 
	{
		"For Khaless!";
		"FOR THE EMPIRE!!!!";
		"Victory shall be mine!";
	}

	// Initiated when the bot exits the game
	// 0 = bot name
	type "game_exit" 
	{
		"It has been an honor!";
	}

	// Initiated when a new level starts
	// 0 = bot name
	type "level_start" 
	{
		"Today is a good day for you to die.";
		"It is a good day to die!";
		"It shall be a glorious battle!";
	}

	// Initiated when a level ends and the bot is not first and not last in the rankings
	// 0 = bot name
	// 2 = opponent in first place
	// 3 = opponent in last place
	type "level_end" 
	{
		"You have much honor, ", 2, ".";
		"You are an embarrassment to your clan, ", 3, ".";
		"Glory to you and your house!";
	}

	// Initiated when a level ends and the bot is first in the rankings
	// 0 = bot name
	type "level_end_victory" 
	{
		"Today, I am a warrior.";
	}

	// Initiated when a level ends and the bot is last in the rankings
	// 0 = bot name
	// 2 = opponent in first place
	type "level_end_lose" 
	{
		"You dishonor me, I'll now take revenge";
		"To be klingon is to die with honor.";
		"I have dishonored my family today.";
	}

	//======================================================
	//======================================================

	// Bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	//0 = shooter
	type "hit_talking" 
	{
		"You have no honor.";
		"You're an honorless PataQ.";
		"The wind does not respect a fool.";
		"You are without honor and a coward.";
	}

	// Bot is hit by an opponent's weapon attack; either praise or insult
 	//0 = shooter
	type "hit_nodeath" 
	{
		"Ha! You fight like a one legged targ!";
	}

	// Bot hits an opponent but does not kill it
 	//0 = opponent
	type "hit_nokill" 
	{
		"You shall die with honor.";
	}

	//======================================================
	//======================================================

	// Initiated when the bot is killed by a telefrag
 	// 0 = enemy name
	type "death_telefrag" 
	{
		"That's no way for a warrior to die.";
	}

	// Initiated when the bot is killed by taking "normal" falling damage
	// 0 = enemy name
	type "death_cratered" 
	{
	}

	// Initiated when the bot dies in lava
	// 0 = enemy name
	type "death_lava" 
	{
	}

	// Initiated when the bot dies in slime
	// 0 = enemy name
	type "death_slime" 
	{
	}

	// Initiated when the bot drowns
	// 0 = enemy name
	type "death_drown" 
	{
	}

	// Initiated when bot blows self up with a weapon or craters
	// 0 = enemy name
	type "death_suicide" 
	{
	}

	// Insult initiated when the bot died
	// 0 = enemy name
	type "death_insult" 
	{
	}

	// Praise initiated when the bot died
	// 0 = enemy name
	type "death_praise" 
	{
	}

	//======================================================
	//======================================================

	// Initiated when the bot telefragged someone
	// 0 = enemy name
	type "kill_telefrag" 
	{
	}

	// Insult initiated when the bot killed someone
	// 0 = enemy name
	type "kill_insult" 
	{
		"My targ could hunt better pray than you";
	}

	// Praise initiated when the bot killed someone
	// 0 = enemy name
	type "kill_praise" 
	{
		"Death is an experience best shared.";
		"To Stovokor with you!";
		"You fight well.";
		"Finally, a challenge worthy of my skills.";
	}

	//======================================================
	//======================================================

	// Insult initiated randomly (just when the bot feels like it)
	// 0 = name of randomly chosen player
	// 1 = bot name
	type "random_insult" 
	{
		"You shall be joining the others in Stovokor.";
		"You fight like an Orallean slug bat.";
	}

	// Miscellaneous chats initiated randomly
	// 0 = name of randomly chosen player
	// 1 = bot name
	type "random_misc" 
	{
		"Train like you fight, for you will fight like you train";
		"Pity the warrior who slays all his foes.";
		"A sharp knife is nothing without a sharp eye.";
		"Brute strength is not the most important asset in a fight.";
	}
}

