//===========================================================================
//
// Name:			4honor_c.c
// Function:		wimp-bot
// version:			1
// Tab Size:		4 (real tabs)
//===========================================================================

#include "chars.h"

skill 1
{
	CHARACTERISTIC_NAME							"4 Honor"
	CHARACTERISTIC_GENDER						"male"
	CHARACTERISTIC_ATTACK_SKILL					0.2
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/4honor_w.c"
	CHARACTERISTIC_AIM_SKILL					0.28
	CHARACTERISTIC_AIM_ACCURACY					0.28
	CHARACTERISTIC_VIEW_FACTOR					0.15
	CHARACTERISTIC_VIEW_MAXCHANGE				85
	CHARACTERISTIC_REACTIONTIME					4.6

	CHARACTERISTIC_CHAT_FILE					"bots/4honor_t.c"
	CHARACTERISTIC_CHAT_NAME					"4 Honor"
	CHARACTERISTIC_CHAT_CPM						110
	CHARACTERISTIC_CHAT_INSULT					0.5
	CHARACTERISTIC_CHAT_MISC					0.5
	CHARACTERISTIC_CHAT_STARTENDLEVEL			0.5
	CHARACTERISTIC_CHAT_ENTEREXITGAME			0.5
	CHARACTERISTIC_CHAT_KILL					0.5
	CHARACTERISTIC_CHAT_DEATH					0.8
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			0.8
	CHARACTERISTIC_CHAT_HITTALKING				0.8
	CHARACTERISTIC_CHAT_HITNODEATH				0.5
	CHARACTERISTIC_CHAT_HITNOKILL				0.5
	CHARACTERISTIC_CHAT_RANDOM					0.7
	CHARACTERISTIC_CHAT_REPLY					0.5

	CHARACTERISTIC_CROUCHER						0.0
	CHARACTERISTIC_JUMPER						0.0
	CHARACTERISTIC_WEAPONJUMPING				0.0

	CHARACTERISTIC_ITEMWEIGHTS					"bots/4honor_i.c"
	CHARACTERISTIC_AGGRESSION					0.15
	CHARACTERISTIC_SELFPRESERVATION				0.18
	CHARACTERISTIC_VENGEFULNESS					0.2
	CHARACTERISTIC_CAMPER						0.7

	CHARACTERISTIC_EASY_FRAGGER					0.8
	CHARACTERISTIC_ALERTNESS					0.3

	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	0.25
	CHARACTERISTIC_AIM_ACCURACY_STASIS			0.25
	CHARACTERISTIC_AIM_ACCURACY_PHASER			0.28
	CHARACTERISTIC_AIM_ACCURACY_DREADNOUGHT		0.25
	CHARACTERISTIC_AIM_ACCURACY_IMOD			0.31
	CHARACTERISTIC_AIM_ACCURACY_COMPRESSION		0.32
	CHARACTERISTIC_AIM_ACCURACY_TETRION			0.26
	CHARACTERISTIC_AIM_ACCURACY_SCAVENGER		0.25
	CHARACTERISTIC_AIM_ACCURACY_QUANTUM			0.15
	CHARACTERISTIC_AIM_SKILL_STASIS				0.27
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER	0.25
	CHARACTERISTIC_AIM_SKILL_QUANTUM			0.2
}

skill 4
{
	CHARACTERISTIC_NAME							"4 Honor"
	CHARACTERISTIC_GENDER						"male"
	CHARACTERISTIC_ATTACK_SKILL					0.33
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/4honor_w.c"
	CHARACTERISTIC_AIM_SKILL					0.5
	CHARACTERISTIC_AIM_ACCURACY					0.5
	CHARACTERISTIC_VIEW_FACTOR					0.32
	CHARACTERISTIC_VIEW_MAXCHANGE				165
	CHARACTERISTIC_REACTIONTIME					3.8

	CHARACTERISTIC_CHAT_FILE					"bots/4honor_t.c"
	CHARACTERISTIC_CHAT_NAME					"4 Honor"
	CHARACTERISTIC_CHAT_CPM						110
	CHARACTERISTIC_CHAT_INSULT					0.5
	CHARACTERISTIC_CHAT_MISC					0.5
	CHARACTERISTIC_CHAT_STARTENDLEVEL			0.5
	CHARACTERISTIC_CHAT_ENTEREXITGAME			0.5
	CHARACTERISTIC_CHAT_KILL					0.5
	CHARACTERISTIC_CHAT_DEATH					0.8
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			0.8
	CHARACTERISTIC_CHAT_HITTALKING				0.8
	CHARACTERISTIC_CHAT_HITNODEATH				0.5
	CHARACTERISTIC_CHAT_HITNOKILL				0.5
	CHARACTERISTIC_CHAT_RANDOM					0.7
	CHARACTERISTIC_CHAT_REPLY					0.5

	CHARACTERISTIC_CROUCHER						0.2
	CHARACTERISTIC_JUMPER						0.1
	CHARACTERISTIC_WEAPONJUMPING				0.0

	CHARACTERISTIC_ITEMWEIGHTS					"bots/4honor_i.c"
	CHARACTERISTIC_AGGRESSION					0.3
	CHARACTERISTIC_SELFPRESERVATION				0.65
	CHARACTERISTIC_VENGEFULNESS					0.3
	CHARACTERISTIC_CAMPER						0.6

	CHARACTERISTIC_EASY_FRAGGER					0.4
	CHARACTERISTIC_ALERTNESS					0.35

	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	0.45
	CHARACTERISTIC_AIM_ACCURACY_STASIS			0.45
	CHARACTERISTIC_AIM_ACCURACY_PHASER			0.48
	CHARACTERISTIC_AIM_ACCURACY_DREADNOUGHT		0.45
	CHARACTERISTIC_AIM_ACCURACY_IMOD			0.51
	CHARACTERISTIC_AIM_ACCURACY_COMPRESSION		0.52
	CHARACTERISTIC_AIM_ACCURACY_TETRION			0.46
	CHARACTERISTIC_AIM_ACCURACY_SCAVENGER		0.45
	CHARACTERISTIC_AIM_ACCURACY_QUANTUM			0.45
	CHARACTERISTIC_AIM_SKILL_STASIS				0.47
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER	0.45
	CHARACTERISTIC_AIM_SKILL_QUANTUM			0.4
}

skill 5
{
	CHARACTERISTIC_NAME							"4 Honor"
	CHARACTERISTIC_GENDER						"male"
	CHARACTERISTIC_ATTACK_SKILL					0.5
	CHARACTERISTIC_WEAPONWEIGHTS				"bots/4honor_w.c"
	CHARACTERISTIC_AIM_SKILL					0.6
	CHARACTERISTIC_AIM_ACCURACY					0.6
	CHARACTERISTIC_VIEW_FACTOR					0.5
	CHARACTERISTIC_VIEW_MAXCHANGE				235
	CHARACTERISTIC_REACTIONTIME					2.8

	CHARACTERISTIC_CHAT_FILE					"bots/4honor_t.c"
	CHARACTERISTIC_CHAT_NAME					"4 Honor"
	CHARACTERISTIC_CHAT_CPM						190
	CHARACTERISTIC_CHAT_INSULT					0.5
	CHARACTERISTIC_CHAT_MISC					0.5
	CHARACTERISTIC_CHAT_STARTENDLEVEL			0.5
	CHARACTERISTIC_CHAT_ENTEREXITGAME			0.5
	CHARACTERISTIC_CHAT_KILL					0.5
	CHARACTERISTIC_CHAT_DEATH					0.8
	CHARACTERISTIC_CHAT_ENEMYSUICIDE			0.8
	CHARACTERISTIC_CHAT_HITTALKING				0.8
	CHARACTERISTIC_CHAT_HITNODEATH				0.5
	CHARACTERISTIC_CHAT_HITNOKILL				0.5
	CHARACTERISTIC_CHAT_RANDOM					0.7
	CHARACTERISTIC_CHAT_REPLY					0.5

	CHARACTERISTIC_CROUCHER						0.35
	CHARACTERISTIC_JUMPER						0.2
	CHARACTERISTIC_WEAPONJUMPING				0.05

	CHARACTERISTIC_ITEMWEIGHTS					"bots/4honor_i.c"
	CHARACTERISTIC_AGGRESSION					0.5
	CHARACTERISTIC_SELFPRESERVATION				0.8
	CHARACTERISTIC_VENGEFULNESS					0.4
	CHARACTERISTIC_CAMPER						0.55

	CHARACTERISTIC_EASY_FRAGGER					0.5
	CHARACTERISTIC_ALERTNESS					0.45

	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	0.6
	CHARACTERISTIC_AIM_ACCURACY_STASIS			0.6
	CHARACTERISTIC_AIM_ACCURACY_PHASER			0.63
	CHARACTERISTIC_AIM_ACCURACY_DREADNOUGHT		0.6
	CHARACTERISTIC_AIM_ACCURACY_IMOD			0.66
	CHARACTERISTIC_AIM_ACCURACY_COMPRESSION		0.67
	CHARACTERISTIC_AIM_ACCURACY_TETRION			0.61
	CHARACTERISTIC_AIM_ACCURACY_SCAVENGER		0.6
	CHARACTERISTIC_AIM_ACCURACY_QUANTUM			0.5
	CHARACTERISTIC_AIM_SKILL_STASIS				0.62
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER	0.6
	CHARACTERISTIC_AIM_SKILL_QUANTUM			0.55

}